peels = [
    {x1: 82,y1:258, x2:1370,y2:380, stars:'128.gif'},
    {x1: 82,y1:454, x2:594,y2:1014, stars:'128.gif'},
    {x1: 604,y1:454, x2:1374,y2:1014, stars:'128.gif'},
    {x1: 82,y1:1050, x2:938,y2:1520, stars:'128.gif'},
    {x1: 82,y1:1544, x2:722,y2:1984, stars:'128.gif'},
    {x1: 952,y1:1040, x2:1366,y2:1166, stars:'128.gif'},
    {x1: 954,y1:1186, x2:1370,y2:1300, stars:'128.gif'},
    {x1: 732,y1:1550, x2:944,y2:1984, stars:'128.gif'},
    {x1: 954,y1:1328, x2:1370,y2:1986, stars:'128.gif'},
];

function r(n) {
    return Math.round(Math.random()*(n-1));
}

function animation() {
    var peel = r(peels.length);
    var edge = (Math.random()>0.5) ? 'top' : 'bottom';
    var amplitude = Math.random()*0.4+0.1;
    var cancel = (Math.random()>0.7) ? 40 : 9999;
    if(edge=='top') amplitude = amplitude*-1;
    (animation_factory({
        peel: peel,
        edge: edge,
        amplitude: amplitude,
        steps: 120,
        cancel: cancel,
        pause_after: 1300
    }))();
}

$(function(){
    $(document)
        .on('next', animation);
});