peels = [
    {x1:2,y1:4, x2:634,y2:692, stars:'papier.gif'},
    {x1:634,y1:4, x2:1430,y2:1200, stars:'notebook.gif', paper: true},
    {x1:2,y1:692, x2:634,y2:2134, stars:'binder2.gif', paper: true},
    {x1:634,y1:1200, x2:1430,y2:1400, stars:'leather.png', paper: true},
    {x1:634,y1:1400, x2:1430,y2:2134, stars:'binder.jpg', paper: true},
];

function r(n) {
    return Math.round(Math.random()*(n-1));
}

function animation() {
    var peel = r(peels.length);
    var edge = (Math.random()>0.5) ? 'top' : 'bottom';
    var amplitude = (peel==2) ? Math.random()*0.1 : Math.random()*0.4+0.1;
    var cancel = (Math.random()>0.4) ? 20 : 9999;
    var pause_after = (cancel < 9999) ? 300 : 2000;
    var wave = (Math.random()>0.9) ? 2 : 1;
    if(edge=='top') amplitude = amplitude*-1;
    (animation_factory({
        peel: peel,
        edge: edge,
        amplitude: amplitude,
        steps: 90,
        cancel: cancel,
        pause_after: pause_after
    }))();
}


$(function(){
    $(document)
        .on('next', animation);
});